Please upgrade here. These earlier versions are no longer being updated and have security issues.
HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Options

V2.2 Database setup error: incorrect integer value in the gdn_permission table

Hi there,
I'm trying to install the latest version of Vanilla, the master branch from the git repo.
I'm doing this because I'd like to use the API application which requires a v2.2 version.

I can't get to make the setup work, because of the following database error:
incorrect integer value in the gdn_permission table

_
Incorrect integer value: 'Garden.Moderation.Manage' for column 'Garden.Curation.Manage' at row 1|Gdn_Database|Query|insert GDN_Permission (Garden.Email.View,Garden.Settings.Manage,Garden.Settings.View,Garden.Messages.Manage,Garden.SignIn.Allow,Garden.Users.Add,Garden.Users.Edit,Garden.Users.Delete,Garden.Users.Approve,Garden.Activity.Delete,Garden.Activity.View,Garden.Profiles.View,Garden.Profiles.Edit,Garden.Curation.Manage,Garden.Moderation.Manage,Garden.PersonalInfo.View,Garden.AdvancedNotifications.Allow,RoleID,JunctionTable,JunctionColumn) values (:GardenEmailView, :GardenSettingsManage, :GardenSettingsView, :GardenMessagesManage, :GardenSignInAllow, :GardenUsersAdd, :GardenUsersEdit, :GardenUsersDelete, :GardenUsersApprove, :GardenActivityDelete, :GardenActivityView, :GardenProfilesView, :GardenProfilesEdit, :GardenCurationManage, :GardenModerationManage, :GardenPersonalInfoView, :GardenAdvancedNotificationsAllow, :RoleID, :JunctionTable, :JunctionColumn)_

So that you know, I can install and setp a v2.1.6 version of Vanilla without problem.

So far, based on more or less similar help messages I've found on the net, I have :

  • checked mysql strict mode on the server,
  • created the vanilla schema without '_' in the name
  • created the vanilla schema from mysql workbench, and from php myadmin (each time from the wizard and by sql query)
  • checked the users rights (root and vanilla user)
  • ...
    And, I'm aware that the branch is not stable.

The message rather indicates a "data" problem, and I'm stuck at this point.

If any of you have any idea where I could go from here, I would really appreciate....
Thanks!!

Zack.

Best Answer

Answers

  • Options

    There is no "Vanilla 2.2 Help" category, in case you wonder why I posted in this 2.1 category. ;)

  • Options
    hgtonighthgtonight ∞ · New MVP
    edited January 2015

    Welcome to the community!

    Most user's here have no interest in debugging alpha versions of Vanilla. Take you issue to https://github.com/vanilla/vanilla/issues

    EDIT - Man, I really need to start refreshing the page on stale browser tabs. @R_J beat me to it by almost an hour!

    Search first

    Check out the Documentation! We are always looking for new content and pull requests.

    Click on insightful, awesome, and funny reactions to thank community volunteers for their valuable posts.

  • Options
    R_JR_J Ex-Fanboy Munich Admin

    I wonder how you ever managed to finish YAGA if it takes you an hour to write 3 sentences ;)

  • Options
    hgtonighthgtonight ∞ · New MVP

    @R_J said:
    I wonder how you ever managed to finish YAGA if it takes you an hour to write 3 sentences ;)

    I always get off in tangents when looking up something in the codebase for the questions in the forums. "Registration issue? I have been meaning to grok authenticators for a while..."

    I just need to open fewer tabs at a time. ;)

    Search first

    Check out the Documentation! We are always looking for new content and pull requests.

    Click on insightful, awesome, and funny reactions to thank community volunteers for their valuable posts.

  • Options

    I submitted the issue where it belongs, thanks!
    As a side note, @hgtonight‌ : multitasking is bad for your health ;)

Sign In or Register to comment.